Subject: [bug#55516] [PATCH] gnu: Add quod-libet.

From: Liliana Marie Prikler <[email-masked]>
Date: Thu, 19 May 2022 08:15:29 +0200

Am Mittwoch, dem 18.05.2022 um 23:41 -0500 schrieb Wamm K. D:
> ---
Missing ChangeLog.

> [...]
> +    (native-inputs (list gettext-minimal python-pytest))
> +    (inputs (list ;;; Per their documentation:
I suggest putting the list on a new line.

> [...]
> +    (arguments `(#:phases (modify-phases %standard-phases
Use a list of G-Expressions, also put them on a new line.

> +                                 '("quodlibet" "exfalso")))))
What about operon?

> [...]
> +                 ;; Gtk.init_check requires an internet connection
> to initialize
> +                 #:tests? #f))
I'd be surprised if it did.  You do need xorg-server-for-tests, spawn
an Xvfb and probably also disable some dbus warnings though.  Look at
pretty much every other GTK app that has tests and copypasta :)

> +    (home-page "https://quodlibet.readthedocs.io/en/latest/")
> +    (synopsis "Music player and music library manager for Linux,
> Windows, and macOS")
Reduce to "Music player and music library manager".

> +    (description "Quod Libet is a cross-platform audio / music
> management program.  It can be used to view your local library and
> supports streaming audio and feeds (podcasts, etc.).  It, also, has
> metadata editing and searching capabilities.")
"Cross-platform" is not meaningful for a description in Guix.  With
searching being a very basic capability of any library management
thing, I suggest rewriting the last sentence into "It can also be used
to edit metadata."

> +    (license license:gpl2)))
Should probably be gpl2+.

Cheers